Xalan-Java 2.7.1: Class GenerateEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Class GenerateEvent

    java.lang.Object
      |
      +--org.apache.xalan.trace.GenerateEvent

public class GenerateEvent
extends java.lang.Object
implements java.util.EventListener

Event generated by the XSL processor after it generates a new node in the result tree. This event responds to and is modeled on the SAX events that are sent to the formatter listener FormatterToXXX)classes.

See Also:
  `DOMBuilder`, `ToHTMLStream`, `ToTextStream`, `ToXMLStream`
Usage:
  **For advanced use only**

Field Summary
`Attributes` | `m_atts` The current attribute list.
`char[]` | `m_characters` Character data from a character or cdata event.
`java.lang.String` | `m_data` The string data in the element (comments and PIs).
`int` | `m_eventtype` The type of SAX event that was generated, as enumerated in the EVENTTYPE_XXX constants below.
`int` | `m_length` The length of the current data in m_characters.
`java.lang.String` | `m_name` The name of the element or PI.
`TransformerImpl` | `m_processor` The XSLT Transformer, which either directly or indirectly contains most needed information.
`int` | `m_start` The start position of the current data in m_characters.

Constructor Summary
`GenerateEvent(TransformerImpl processor, int eventType)` Constructor for startDocument, endDocument events.
`GenerateEvent(TransformerImpl processor, int eventType, char[] ch, int start, int length)` Constructor for characters, cdate events.
`GenerateEvent(TransformerImpl processor, int eventType, java.lang.String data)` Constructor for comment and entity ref events.
`GenerateEvent(TransformerImpl processor, int eventType, java.lang.String name, Attributes atts)` Constructor for startElement, endElement events.
`GenerateEvent(TransformerImpl processor, int eventType, java.lang.String name, java.lang.String data)` Constructor for processingInstruction events.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_processor

    public TransformerImpl m_processor

  The XSLT Transformer, which either directly or indirectly contains most needed information.
  See Also:
    `TransformerImpl`

### m_eventtype

    public int m_eventtype

  The type of SAX event that was generated, as enumerated in the EVENTTYPE_XXX constants below.

### m_characters

    public char[] m_characters

  Character data from a character or cdata event.

### m_start

    public int m_start

  The start position of the current data in m_characters.

### m_length

    public int m_length

  The length of the current data in m_characters.

### m_name

    public java.lang.String m_name

  The name of the element or PI.

### m_data

    public java.lang.String m_data

  The string data in the element (comments and PIs).

### m_atts

    public Attributes m_atts

  The current attribute list.

Constructor Detail

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType)

  Constructor for startDocument, endDocument events.
  Parameters:
    `processor` - The XSLT TransformerFactory instance.
    `eventType` - One of the EVENTTYPE_XXX constants.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         java.lang.String name,
                         Attributes atts)

  Constructor for startElement, endElement events.
  Parameters:
    `processor` - The XSLT TransformerFactory Instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `name` - The name of the element.
    `atts` - The SAX attribute list.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         char[] ch,
                         int start,
                         int length)

  Constructor for characters, cdate events.
  Parameters:
    `processor` - The XSLT TransformerFactory instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `ch` - The char array from the SAX event.
    `start` - The start offset to be used in the char array.
    `length` - The end offset to be used in the chara array.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         java.lang.String name,
                         java.lang.String data)

  Constructor for processingInstruction events.
  Parameters:
    `processor` - The instance of the XSLT processor.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `name` - The name of the processing instruction.
    `data` - The processing instruction data.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         java.lang.String data)

  Constructor for comment and entity ref events.
  Parameters:
    `processor` - The XSLT processor instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `data` - The comment or entity ref data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.